.footer {
    width: 100%;
    background-color: #001325;

    background-image: url("../img/fundo-rodape.png");
    background-repeat: repeat-x;         
    background-position: bottom center; 
    background-size: 500px auto; 

    color: white;
    padding: 50px 80px 60px;

}

.footer-container {
    display: flex;
    justify-content: space-between;
    align-items: flex-start;
    flex-wrap: wrap;
    gap: 40px;
}

.footer-logo {
    max-width: 300px;
}

.footer-logo img {
    width: 140px;
    margin-bottom: 12px;
}

.footer-logo p {
    font-size: 14px;
    opacity: 0.75;
}

.footer-columns {
    display: flex;
    gap: 60px;
}

.footer-col h3 {
    font-size: 17px;
    margin-bottom: 12px;
}

.footer-col a {
    display: block;
    text-decoration: none;
    color: #d7e7ff;
    margin-bottom: 8px;
    font-size: 14px;
    transition: 0.2s ease;
}

.footer-col a:hover {
    color: #57aaff;
    padding-left: 4px;
}

.footer-bottom {
    border-top: 1px solid rgba(255,255,255,0.15);
    margin-top: 30px;
    padding-top: 15px;
    text-align: center;
    opacity: 0.7;
    font-size: 14px;
}

@media (max-width: 850px) {

    .footer-columns {
        flex-direction: column;
        gap: 30px;
    }

    .footer-container {
        flex-direction: column;
        text-align: center;
        align-items: center;
    }

    .footer-col h3 {
        margin-top: 10px;
    }

    .footer-col a:hover {
        padding-left: 0;
    }
}
